/*---------------------------------------------------------------------------*/
/* File:     SY_VDI.H                                                        */
/* Author:   R. P. Hanson                                                    */
/* Copyright:R. P. Hanson 1996                                               */
/*           Lothar Bittner is now the authorised custodian of the Atari ST  */
/*           version of this program.                                        */
/*---------------------------------------------------------------------------*/
/* Contents: Header file for graphics information.                           */
/*---------------------------------------------------------------------------*/

/*--------------------------------------------*/
/* Required externally visible VDI parameters */
/*--------------------------------------------*/
    extern int contrl[12] ;
    extern int intin[128] ;
    extern int ptsin[128] ;
    extern int intout[128] ;
    extern int ptsout[128] ;
    extern int handle ;
    extern int work_in[12] ;
    extern int work_out[57] ;
    extern int curr_edit ;

/*------------------------------*/
/* Define values for ON and OFF */
/*------------------------------*/
    #define ON  1
    #define OFF 0

/*--------------------------------------*/
/* Defines for button size and position */
/*--------------------------------------*/
    #define BUTTON_HEIGHT       10
    #define BUTTON_WIDTH        64
    #define SMALL_BUTT_WIDTH    40
    #define BUTTON_SEPARATION   8

    #define A_BUT_TOP       382
    #define A_BUT_LEFT      11
    #define A_BUT_BOT       A_BUT_TOP + BUTTON_HEIGHT
    #define A_BUT_RIGHT     A_BUT_LEFT + SMALL_BUTT_WIDTH

    #define B_BUT_TOP       A_BUT_TOP
    #define B_BUT_LEFT      A_BUT_RIGHT + BUTTON_SEPARATION
    #define B_BUT_BOT       B_BUT_TOP + BUTTON_HEIGHT
    #define B_BUT_RIGHT     B_BUT_LEFT + SMALL_BUTT_WIDTH

    #define C_BUT_TOP       A_BUT_TOP
    #define C_BUT_LEFT      B_BUT_RIGHT + BUTTON_SEPARATION
    #define C_BUT_BOT       C_BUT_TOP + BUTTON_HEIGHT
    #define C_BUT_RIGHT     C_BUT_LEFT + SMALL_BUTT_WIDTH

    #define D_BUT_TOP       A_BUT_TOP
    #define D_BUT_LEFT      C_BUT_RIGHT + BUTTON_SEPARATION
    #define D_BUT_BOT       D_BUT_TOP + BUTTON_HEIGHT
    #define D_BUT_RIGHT     D_BUT_LEFT + SMALL_BUTT_WIDTH

    #define VECT_BUT_TOP    A_BUT_TOP
    #define VECT_BUT_LEFT   D_BUT_RIGHT + BUTTON_SEPARATION
    #define VECT_BUT_BOT    VECT_BUT_TOP + BUTTON_HEIGHT
    #define VECT_BUT_RIGHT  VECT_BUT_LEFT + BUTTON_WIDTH

    #define GLOB_BUT_TOP    A_BUT_TOP
    #define GLOB_BUT_LEFT   VECT_BUT_RIGHT + BUTTON_SEPARATION
    #define GLOB_BUT_BOT    GLOB_BUT_TOP + BUTTON_HEIGHT
    #define GLOB_BUT_RIGHT  GLOB_BUT_LEFT + BUTTON_WIDTH

    #define GET_BUT_TOP     A_BUT_TOP
    #define GET_BUT_LEFT    GLOB_BUT_RIGHT + BUTTON_SEPARATION
    #define GET_BUT_BOT     GET_BUT_TOP + BUTTON_HEIGHT
    #define GET_BUT_RIGHT   GET_BUT_LEFT + BUTTON_WIDTH

    #define LD_BUT_TOP      A_BUT_TOP
    #define LD_BUT_LEFT     GET_BUT_RIGHT + BUTTON_SEPARATION
    #define LD_BUT_BOT      LD_BUT_TOP + BUTTON_HEIGHT
    #define LD_BUT_RIGHT    LD_BUT_LEFT + BUTTON_WIDTH

    #define SV_BUT_TOP      A_BUT_TOP
    #define SV_BUT_LEFT     LD_BUT_RIGHT + BUTTON_SEPARATION
    #define SV_BUT_BOT      SV_BUT_TOP + BUTTON_HEIGHT
    #define SV_BUT_RIGHT    SV_BUT_LEFT + BUTTON_WIDTH

    #define QT_BUT_TOP      A_BUT_TOP
    #define QT_BUT_LEFT     SV_BUT_RIGHT + BUTTON_SEPARATION
    #define QT_BUT_BOT      QT_BUT_TOP + BUTTON_HEIGHT
    #define QT_BUT_RIGHT    QT_BUT_LEFT + BUTTON_WIDTH


/*-------------------------------*/
/* Type for defining a rectangle */
/*-------------------------------*/
    typedef struct RECT_TYPE
        {
            int left ;
            int top ;
            int right ;
            int bottom ;
        } rect_type ;

/*------------------------------------------------*/
/* Variables holding size and position of buttons */
/*------------------------------------------------*/
    extern  rect_type   el_a_butt ;
    extern  rect_type   el_b_butt ;
    extern  rect_type   el_c_butt ;
    extern  rect_type   el_d_butt ;
    extern  rect_type   vect_butt ;
    extern  rect_type   glob_butt ;
    extern  rect_type   load_butt ;
    extern  rect_type   save_butt ;
    extern  rect_type   get_butt ;
    extern  rect_type   quit_butt ;

/*---------------------------------------------*/
/* Variables holding y positions of text lines */
/* in each of the six permanent edit areas.    */
/*---------------------------------------------*/
    extern  int el_a_y1 ;
    extern  int el_a_y2 ;
    extern  int el_a_y3 ;
    extern  int el_b_y1 ;
    extern  int el_b_y2 ;
    extern  int el_b_y3 ;
    extern  int el_c_y1 ;
    extern  int el_c_y2 ;
    extern  int el_c_y3 ;
    extern  int el_d_y1 ;
    extern  int el_d_y2 ;
    extern  int el_d_y3 ;
    extern  int glob_y1 ;
    extern  int glob_y2 ;
    extern  int glob_y3 ;
    extern  int vect_y1 ;
    extern  int vect_y2 ;
    extern  int vect_y3 ;

/*-----------------------------------------------*/
/* Type definition for holding state of a button */
/*-----------------------------------------------*/
    typedef struct HILITE_TYPE
        {
            char    now ;
            char    prev ;
        } hilite_type ;

/*---------------------------------------*/
/* Defines for turning cursor off and on */
/*---------------------------------------*/
    #define m_point_off         v_hide_c ( handle )
    #define m_point_on          v_show_c ( handle, 0 )
